Subject: Re: mm/sched/net: BUG when running simple code

From: Dan Aloni <[email-masked]>
Date: Fri, 13 Jun 2014 06:27:54 +0300

On Thu, Jun 12, 2014 at 10:56:16PM -0400, Sasha Levin wrote:
> Hi all,
> 
> Okay, I'm really lost. I got the following when fuzzing, and can't really explain what's
> going on. It seems that we get a "unable to handle kernel paging request" when running
> rather simple code, and I can't figure out how it would cause it.
[..]
> Which agrees with the trace I got:
> 
> [  516.309720] BUG: unable to handle kernel paging request at ffffffffa0f12560
> [  516.309720] IP: netlink_getsockopt (net/netlink/af_netlink.c:2271)
[..]
> [  516.309720] RIP netlink_getsockopt (net/netlink/af_netlink.c:2271)
> [  516.309720]  RSP <ffff8803fc85fed8>
> [  516.309720] CR2: ffffffffa0f12560
> 
> They only theory I had so far is that netlink is a module, and has gone away while the code
> was executing, but netlink isn't a module on my kernel.

The RIP - 0xffffffffa0f12560 is in the range (from Documentation/x86/x86_64/mm.txt):

    ffffffffa0000000 - ffffffffff5fffff (=1525 MB) module mapping space

So seems it was in a module.

-- 
Dan Aloni

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>